Package commoble.bagofyurting

# Class BagOfYurtingData

java.lang.Object
commoble.bagofyurting.BagOfYurtingData

public class BagOfYurtingData extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`BagOfYurtingData.StateData`

## Field Summary

Fields
Modifier and Type
Field
Description
`static net.minecraft.core.Direction`
`BASE_DIRECTION`
`static net.minecraft.world.phys.AABB`
`EMPTY_AABB`
`static String`
`NBT_KEY`

## Constructor Summary

Constructors
Constructor
Description
`BagOfYurtingData​(Map<net.minecraft.core.BlockPos,​BagOfYurtingData.StateData> map)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`attemptUnloadIntoLevel​(net.minecraft.world.item.context.UseOnContext context, int radius)`
`CompressedBagOfYurtingData`
`compress()`
`static boolean`
`doesNBTContainYurtData​(net.minecraft.nbt.CompoundTag nbt)`
`boolean`
`isEmpty()`
`static BagOfYurtingData`
`read​(net.minecraft.nbt.CompoundTag nbt)`
Creates a new instance from an NBT compound.
`net.minecraft.nbt.CompoundTag`
`writeIntoNBT​(net.minecraft.nbt.CompoundTag nbt)`
`static BagOfYurtingData`
`yurtBlocksAndConvertToData​(net.minecraft.world.item.context.UseOnContext context, int radius)`
Removes blocks from the Level and stores them as yurt data, returning the data

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NBT_KEY

public static final String NBT_KEY

See Also:
  Constant Field Values

### BASE_DIRECTION

public static final net.minecraft.core.Direction BASE_DIRECTION

### EMPTY_AABB

public static final net.minecraft.world.phys.AABB EMPTY_AABB

## Constructor Details

### BagOfYurtingData

public BagOfYurtingData​(Map<net.minecraft.core.BlockPos,​BagOfYurtingData.StateData> map)

## Method Details

### yurtBlocksAndConvertToData

public static BagOfYurtingData yurtBlocksAndConvertToData​(net.minecraft.world.item.context.UseOnContext context, int radius)
Removes blocks from the Level and stores them as yurt data, returning the data

### attemptUnloadIntoLevel

public boolean attemptUnloadIntoLevel​(net.minecraft.world.item.context.UseOnContext context, int radius)

### doesNBTContainYurtData

public static boolean doesNBTContainYurtData​(net.minecraft.nbt.CompoundTag nbt)

### isEmpty

public boolean isEmpty()

### writeIntoNBT

public net.minecraft.nbt.CompoundTag writeIntoNBT​(net.minecraft.nbt.CompoundTag nbt)

### read

public static BagOfYurtingData read​(net.minecraft.nbt.CompoundTag nbt)
Creates a new instance from an NBT compound. This assumes that the given nbt has the "yurt" key within

### compress

public CompressedBagOfYurtingData compress()